Skip to main content
GET
/
public
/
pipelines
/
{pipelineId}
/
executions
/
{executionId}
Get a pipeline execution
curl --request GET \
  --url https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId} \
  --header 'apiKey: <api-key>'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "pipelineId": "00000000-0000-0000-0000-000000000000",
  "pipelineVersionId": "00000000-0000-0000-0000-000000000000",
  "status": "success",
  "pipelineName": "My Agent",
  "pipelineVersionNumber": 1,
  "startedAt": "2021-01-01T00:00:00.000Z",
  "finishedAt": "2021-01-01T00:00:01.000Z",
  "error": "<string>",
  "aiTokensUsed": 512,
  "nodesStarted": 3,
  "conversationHistory": {},
  "contactDetails": {},
  "environment": {},
  "triggeredBy": "message_received",
  "triggeredByEntityId": "00000000-0000-0000-0000-000000000000",
  "conversationId": "00000000-0000-0000-0000-000000000000",
  "nodesExecuted": [
    {
      "nodeName": "Greeting",
      "node": {
        "id": "1",
        "name": "Greeting",
        "staticId": "1",
        "isGoal": false,
        "goalName": "Booked appointment"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "startedAt": "2021-01-01T00:00:00.000Z",
      "finishedAt": "2021-01-01T00:00:01.000Z",
      "status": "success",
      "errorMessage": "<string>",
      "aiTokensUsed": 128,
      "input": {},
      "output": {}
    }
  ],
  "pipelineMessages": [
    {
      "sourceNode": {
        "id": "1",
        "name": "Greeting",
        "staticId": "1",
        "isGoal": false,
        "goalName": "Booked appointment"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "content": {},
      "messageType": "text",
      "sourceNodeExecutionId": "00000000-0000-0000-0000-000000000000",
      "created": "2021-01-01T00:00:00.000Z",
      "destinations": {}
    }
  ]
}

Authorizations

apiKey
string
header
required

Path Parameters

pipelineId
string<uuid>
required

The ID of the pipeline

executionId
string<uuid>
required

The ID of the pipeline execution

Response

The pipeline execution

Represents a full pipeline execution, including node executions and messages

id
string<uuid>
required

The ID of the pipeline execution

Example:

"00000000-0000-0000-0000-000000000000"

pipelineId
string<uuid>
required

The ID of the pipeline (agent)

Example:

"00000000-0000-0000-0000-000000000000"

pipelineVersionId
string<uuid>
required

The ID of the pipeline version that was executed

Example:

"00000000-0000-0000-0000-000000000000"

status
enum<string>
required

The status of the execution

Available options:
new,
running,
paused,
success,
failed
Example:

"success"

pipelineName
string

The name of the pipeline (agent)

Example:

"My Agent"

pipelineVersionNumber
number

The version number that was executed

Example:

1

startedAt
string<date-time>

When the execution started

Example:

"2021-01-01T00:00:00.000Z"

finishedAt
string<date-time> | null

When the execution finished

Example:

"2021-01-01T00:00:01.000Z"

error
string | null

The error message if the execution failed

aiTokensUsed
number

The number of AI tokens used during the execution

Example:

512

nodesStarted
number

The number of nodes started during the execution

Example:

3

conversationHistory
object

The conversation history captured during the execution

contactDetails
object

Details about the contact associated with the execution

environment
object

The environment variables available to the execution

triggeredBy
string | null

What triggered the execution

Example:

"message_received"

triggeredByEntityId
string | null

The ID of the entity that triggered the execution

Example:

"00000000-0000-0000-0000-000000000000"

conversationId
string<uuid> | null

The ID of the conversation associated with the execution

Example:

"00000000-0000-0000-0000-000000000000"

nodesExecuted
object[]

The node executions, ordered by start time

pipelineMessages
object[]

The messages produced during the execution, ordered by creation time